<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl func"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl="http://exslt.org/common"
  xmlns:sw="http://www.swsoft.com/xsl/cp"
  xmlns:func="http://exslt.org/functions"
  xmlns:global="http://www.swsoft.com/xsl/cp/global"
>  
  
  <func:function name="global:get-allocated">
    <xsl:variable name="req">
      <packet>
        <target>global</target>
        <data>
        	<global>
	          <get_allocated>
	          	<shrink/>
	          </get_allocated>
	         </global>
        </data>
      </packet>
    </xsl:variable>
    <func:result select="sw:xchg($req)/packet/data/global"/>
	</func:function>
	
  <func:function name="global:get-config">
  	<xsl:param name="args"/>
    <xsl:variable name="req">
      <packet>
        <target>global</target>
        <data>
        	<global>
	          <get_config>
	          	<xsl:copy-of select="$args"/>
	          </get_config>
	         </global>
        </data>
      </packet>
    </xsl:variable>
    <func:result select="sw:xchg($req)/packet/data/global/config"/>
	</func:function>


 
</xsl:stylesheet>
