<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl func vzasupport"
  xmlns:xsl		="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl	="http://exslt.org/common"
  xmlns:sw		="http://www.swsoft.com/xsl/cp"
  xmlns:func	="http://exslt.org/functions"
  xmlns:vzasupport		="http://www.swsoft.com/xsl/cp/vzasupport"
>
  
	<!-- Get Support Channel Key Status-->
	<func:function name="vzasupport:is-support-channel-key">
    <xsl:param name="hn-eid"/>
    
    <xsl:variable name="req">
      <packet>
        <target>vzasupport</target>
        <xsl:copy-of select="sw:env-dst($hn-eid)"/> 
        <data>
          <vzasupport>
          	<get_key_status/>
          </vzasupport>
        </data>
				<vzcpauth/>	
      </packet>
    </xsl:variable>    
    <func:result select="sw:xchg($req)/packet/data/vzasupport/key_status='0'"/>
	
	</func:function>
	
	<!-- Get Support Channel Status-->
	<func:function name="vzasupport:get-support-channel">
    <xsl:param name="hn-eid"/>
    
    <xsl:variable name="req">
      <packet>
        <target>vzasupport</target>
				<xsl:copy-of select="sw:env-dst($hn-eid)"/>        
        <data>
          <vzasupport>
         		<get_channel_status/>
          </vzasupport>
        </data>
				<vzcpauth/>	
      </packet>
    </xsl:variable>    
    <func:result select="sw:xchg($req)/packet/data"/>
	
	</func:function>

</xsl:stylesheet>
