<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl sw cred"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl="http://exslt.org/common"
  xmlns:sw="http://www.swsoft.com/xsl/cp"
  xmlns:hwm=	"http://www.swsoft.com/xsl/cp/hwm"
  xmlns:cred=	"http://www.swsoft.com/xsl/cp/cred"
  >
  <xsl:output method="xml"/>

	<xsl:template match="/">
	
		<xsl:variable name="get-name" select="sw:param('rpm-id')"/>
		<xsl:if test="$get-name">
			<xsl:if test="sw:sesput('app-rpm-id',sw:base64-decode($get-name))"/>
		</xsl:if>
		
		<packet/>
		
	</xsl:template>
	
	<sw:include href="/lib/cred.xsl"/>
	<sw:include href="/lib/globals.xsl"/>

</xsl:stylesheet>
