<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl cred  backups licensem"
  xmlns:xsl		="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl	="http://exslt.org/common"
  xmlns:sw		="http://www.swsoft.com/xsl/cp"  
  xmlns:ui		="http://www.swsoft.com/xsl/cp/ui"   
  xmlns:cred 	 ="http://www.swsoft.com/xsl/cp/cred"
  xmlns:backups	="http://www.swsoft.com/xsl/cp/backups"
  xmlns:licensem="http://www.swsoft.com/xsl/cp/licensem"
>	
	<sw:include href="/lib/vt/backups-list.xsl"/>

	<xsl:template mode="screen" match="/">	
	
		<ui:screen id="03.02.01.27.09">
			<ui:properties>
				<ui:form-get/>			
				<ui:description mandatory="yes">
				 <sw:text>
				  On this screen you can see a list of available backups for the Containers of the Hardware Node. 
				  <br/>A backup of a Container stores all of its data including system and user files.
				 </sw:text>
				</ui:description>      
      	<ui:contains-date-control/>
      </ui:properties>
			<ui:tab-bar id="vzhn" current-tab="backups"/>
    		<ui:content>    	    	    
    			<ui:block width="full">					
					<xsl:call-template name="backups:browse">
						<xsl:with-param name="browse-url" select="'/vz/hns/backups/index'"/>
						<xsl:with-param name="filter-hn-eid" select="sw:hn-eid()"/>
						<xsl:with-param name="first-buttons">
						</xsl:with-param>
					</xsl:call-template>
      			</ui:block>
    		</ui:content>          
		</ui:screen>
	
	</xsl:template>  

	<sw:include href="/lib/screen.xsl"/>
	  
</xsl:stylesheet>
