<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl cred env"
  xmlns:xsl		="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl	="http://exslt.org/common"
  xmlns:sw		="http://www.swsoft.com/xsl/cp"  
  xmlns:ui		="http://www.swsoft.com/xsl/cp/ui"   
  xmlns:cred  ="http://www.swsoft.com/xsl/cp/cred"
  xmlns:env="http://www.swsoft.com/xsl/cp/env" 
>	
	<sw:include href="/lib/vt/env-list.xsl"/>

	<xsl:template mode="screen" match="/">	
	
		<ui:screen id="03.02.01.27.08">
			<ui:properties>
				<ui:include-js>right_click.js</ui:include-js>
			</ui:properties>
			<ui:tab-bar id="vzhn" current-tab="envs"/>
    		<ui:content>    	    	    
    			<ui:block width="full">					
					<xsl:call-template name="env:browse">
						<xsl:with-param name="browse-url" select="'/vz/hns/envs/index'"/>
						<xsl:with-param name="filter-hn-eid" select="sw:hn-eid()"/>
						<xsl:with-param name="first-buttons">
							<ui:button type="list-selection" tip="new_env" icon="env_new" require-items="false"
									new-obj-title="{sw:text('Container')}"
									submit-href="{$baseurl}/vt/envs/new"
								>
								<sw:text>New Container</sw:text>
							</ui:button>							
						</xsl:with-param>
					</xsl:call-template>
      			</ui:block>
    		</ui:content>          
		</ui:screen>
	
  </xsl:template>  

	<sw:include href="/lib/screen.xsl"/>
	  
</xsl:stylesheet>
