<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->
<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl cred"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:exsl="http://exslt.org/common"
	xmlns:sw="http://www.swsoft.com/xsl/cp"
	xmlns:ui="http://www.swsoft.com/xsl/cp/ui"
	xmlns:cred="http://www.swsoft.com/xsl/cp/cred"
>

	<sw:include href="/lib/cred.xsl"/>

	<xsl:param name="access-denied" select="not(cred:check-context('vzcp.env.view', 've.vz.vt'))"/>

	<xsl:template mode="screen" match="/">
		<ui:screen id="03.02.01.01.04" title="{sw:text('Container Management')}" icon="env_management">
			<ui:properties>
				<ui:width value="free"/>
				<ui:form-get/>
			</ui:properties>

			<ui:content>
				<ui:block>
					<ui:dashboard/>
				</ui:block>
			</ui:content>
		</ui:screen>
	</xsl:template>

	<sw:include href="/lib/screen.xsl"/>

</xsl:stylesheet>
