<!--
	Copyright (c) SWsoft, 1999-2007
	All rights reserved.
-->
<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl cred trace"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:exsl="http://exslt.org/common"
	xmlns:sw="http://www.swsoft.com/xsl/cp" 
	xmlns:ui="http://www.swsoft.com/xsl/cp/ui"
	xmlns:cred="http://www.swsoft.com/xsl/cp/cred" 
	xmlns:trace="http://www.swsoft.com/xsl/cp/trace">

	<!-- search vzenv screen in path -->

	<xsl:template mode="screen" match="/">
		<ui:screen id="03.02.01.20.00" icon="history_management" bg="log" cred="vzcp.log.list">			

			<ui:properties>
				<ui:width value="free" />
				<ui:form-get/>
			</ui:properties>

			<ui:tab-bar id="vzve" current-tab="logs" />
			<ui:content>
				<ui:block>
					<ui:dashboard />
				</ui:block>
			</ui:content>
		</ui:screen>
	</xsl:template>

	<sw:include href="/lib/screen.xsl" />
	<sw:include href="/lib/trace.xsl" />

</xsl:stylesheet>
