<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl cred"
  xmlns:xsl		="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl	="http://exslt.org/common"
  xmlns:sw		="http://www.swsoft.com/xsl/cp"
	xmlns:cred  ="http://www.swsoft.com/xsl/cp/cred"
	xmlns:ui  	="http://www.swsoft.com/xsl/cp/ui"
	xmlns:env		="http://www.swsoft.com/xsl/cp/env"
>

  <xsl:variable name="ve-eid" select="sw:ve-eid()"/>
	<xsl:param name="access-denied"	select="not(cred:check-env('vzcp.env.manage.services.login',$ve-eid))"/>
  
	<xsl:template match="/">
		<ui:raw>
			<xsl:call-template name="env:ssh-java">
				<xsl:with-param name="eid" select="$ve-eid"/>
			</xsl:call-template>
		</ui:raw>
  </xsl:template>

	<sw:include href="/lib/common.xsl"/>
	<sw:include href="/lib/vt/env-core.xsl"/>
	<sw:include href="/lib/vz/env-ssh.xsl"/>	

</xsl:stylesheet>
