<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->
<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl func cred vzenv vzapackagem templates browse local"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:exsl="http://exslt.org/common"
	xmlns:func="http://exslt.org/functions"
	xmlns:sw="http://www.swsoft.com/xsl/cp" 
	xmlns:ui="http://www.swsoft.com/xsl/cp/ui"
	xmlns:vzenv="http://www.swsoft.com/xsl/cp/vzenv" 
	xmlns:browse="http://www.swsoft.com/xsl/cp/browse"
	xmlns:vzapackagem="http://www.swsoft.com/xsl/cp/vzapackagem" 
	xmlns:vzhn="http://www.swsoft.com/xsl/cp/vzhn" 
	xmlns:cred="http://www.swsoft.com/xsl/cp/cred"
	xmlns:templates="http://www.swsoft.com/xsl/cp/templates"
	xmlns:local="http://www.swsoft.com/xsl/cp/local">

	<sw:include href="/lib/screen.xsl" />
	<sw:include href="/lib/vzdir/infrman/templates/group-actions.xsl" />

	<xsl:variable name="cred" select="/packet/screen/@cred" />
	<xsl:variable name="path-id" select="/packet/screen/@id" />

	<!-- check detail permissions to req -->
	<xsl:param name="access-denied" select="$cred!='' and not(cred:check($cred))" />

	<xsl:template mode="screen" match="/">
		<xsl:apply-templates select="/packet/action" mode="templates:screen" />
	</xsl:template>
	
</xsl:stylesheet>
