<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl func"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl="http://exslt.org/common"
  xmlns:sw="http://www.swsoft.com/xsl/cp"
  xmlns:func="http://exslt.org/functions"
  xmlns:resourcem="http://www.swsoft.com/xsl/cp/resourcem"
>  
  
  <func:function name="resourcem:get-allocated">
    <xsl:variable name="req">
      <packet>
        <target>resourcem</target>
        <data>
        	<resourcem>
	          <get_allocated>
	          	<shrink/>
	          </get_allocated>
	         </resourcem>
        </data>
      </packet>
    </xsl:variable>
    <func:result select="sw:xchg($req)/packet/data/resourcem"/>
	</func:function>
	
  <func:function name="resourcem:get-pool">
  	<xsl:param name="pool-type"/>
  	<xsl:variable name="req">
      <packet>
        <target>resourcem</target>
        <data>
        	<resourcem>
	          <get_pool>
	          	<resource_pool>
	          		<type><xsl:value-of select="$pool-type"/></type>
	          	</resource_pool>
	          </get_pool>
	         </resourcem>
        </data>
      </packet>
    </xsl:variable>
    <func:result select="sw:xchg($req)/packet/data/resourcem"/>
	</func:function>


 
</xsl:stylesheet>
