<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl func"
  xmlns:xsl				="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl			="http://exslt.org/common"
  xmlns:sw				="http://www.swsoft.com/xsl/cp"
  xmlns:vzaconfig	="http://www.swsoft.com/xsl/cp/vzaconfig"
  xmlns:func			="http://exslt.org/functions"  
>

  <!-- read vzagent config -->
  <func:function name="vzaconfig:get">
    <xsl:variable name="req">
      <packet>
        <data>
          <system>
            <get_configuration/>
         </system>
       </data>
     </packet>
   </xsl:variable>
   <func:result select="sw:xchg($req)"/>
 </func:function>
  
  <func:function name="vzaconfig:show-sve">
  	<func:result select="vzaconfig:get()/packet/data/vzaenvm/configuration/sve_visible=1" />
  </func:function>

</xsl:stylesheet>
