<!--
		 Copyright (c) SWsoft, 1999-2007
		 All rights reserved.
	-->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl math cred hwm computerm proc"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:exsl="http://exslt.org/common"
	xmlns:math="http://exslt.org/math"
	xmlns:sw="http://www.swsoft.com/xsl/cp"
	xmlns:hwm		="http://www.swsoft.com/xsl/cp/hwm"
	xmlns:computerm="http://www.swsoft.com/xsl/cp/computerm"
	xmlns:cred	="http://www.swsoft.com/xsl/cp/cred"
	xmlns:proc	="http://www.swsoft.com/xsl/cp/proc"
	xmlns:hn		="http://www.swsoft.com/xsl/cp/hn"	
>
	<sw:include href="/lib/vzdir/infrman/hns/resources.xsl"/>
	
	<xsl:output method="xml"/>

	<xsl:variable name="hn-eid" select="sw:hn-eid()"/>
	<xsl:template match="/">
		
		<packet>
			<!-- check premissions before execute request -->
			<xsl:if test="cred:check-hw('vzcp.hn.view',$hn-eid)">

				<cookie>
					<xsl:call-template name="hn:get-resource-summary">
						<xsl:with-param name="resource-id" select="'all'"/>
						<xsl:with-param name="hn-eid" select="$hn-eid"/>
					</xsl:call-template>
				</cookie>
			</xsl:if>
		</packet>
	</xsl:template>
	
  <!-- credentials -->
	<sw:include href="/lib/cred.xsl"/>

</xsl:stylesheet>
