<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl sw func local cred proc"
  xmlns:xsl			="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl		="http://exslt.org/common"
  xmlns:sw			="http://www.swsoft.com/xsl/cp"
  xmlns:local		="http://www.swsoft.com/xsl/cp/local"
  xmlns:func		="http://exslt.org/functions"
	xmlns:cred		="http://www.swsoft.com/xsl/cp/cred"
	xmlns:ui		="http://www.swsoft.com/xsl/cp/ui"
	xmlns:proc		="http://www.swsoft.com/xsl/cp/proc"
>

	<xsl:template mode="screen" match="/">

		<ui:body-screen>
			<ui:content>			
				<ui:block width="full">					
					<xsl:call-template name="proc:post-browse">
						<xsl:with-param name="plain" select="true()"/>
					</xsl:call-template>
				</ui:block>
			</ui:content>
		</ui:body-screen>
										
  </xsl:template>
  
	<!-- includes -->
	<sw:include href="/lib/proc-func.xsl"/>
	<sw:include href="/lib/screen.xsl"/>
	<sw:include href="/lib/vocabulary.xsl"/>  


</xsl:stylesheet>
